<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Request\GetProviders;

use ConnectPayPayment\Components\Struct\Configuration;
use ConnectPayPayment\Components\Client\Request\GetProvidersRequest;

interface GetProvidersRequestHydratorInterface
{
    /**
     * Enrich request
     *
     * @param string $countryCode
     * @param Configuration $configuration
     * @param int $pageNo
     * @param int $pageSize
     * @return GetProvidersRequest
     */
    public function hydrate(string $countryCode, Configuration $configuration, int $pageNo = 1, int $pageSize = 1000): GetProvidersRequest;
}
