<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\PaymentHandler;

use ConnectPayPayment\Components\Client\Response\GetPaymentDetailsResponse;
use Shopware\Core\Checkout\Order\Aggregate\OrderTransaction\OrderTransactionEntity;
use Symfony\Component\HttpFoundation\RequestStack;

abstract class AbstractPaymentHandler
{
    public const APPROVED = 'Approved';

    protected RequestStack $requestStack;

    /**
     * Get payment details
     *
     * @param OrderTransactionEntity $orderTransaction
     * @return GetPaymentDetailsResponse|null
     */
    abstract public function checkPaymentStatus(OrderTransactionEntity $orderTransaction): ?GetPaymentDetailsResponse;
}
