<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\BankProviders;

use Shopware\Core\Framework\DataAbstractionLayer\EntityDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IdField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\LongTextField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;

class BankProvidersDefinition extends EntityDefinition
{
    public const ENTITY_NAME = 'cp_bank_providers';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }
    
    public function getEntityClass(): string
    {
        return BankProvidersEntity::class;
    }
    
    public function getCollectionClass(): string
    {
        return BankProvidersCollection::class;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new IdField('id', 'id'))->addFlags(new PrimaryKey(), new Required()),
            (new StringField('provider_id', 'providerId'))->addFlags(new Required()),
            (new StringField('name', 'name'))->addFlags(new Required()),
            (new StringField('country_code', 'countryCode'))->addFlags(new Required()),
            (new LongTextField('bic', 'bic')),
            (new LongTextField('logo', 'logo')),
        ]);
    }
}