<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\BankProviders;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class BankProvidersEntity extends Entity
{
    use EntityIdTrait;

    /**
     * @var string
     */
    protected $providerId;
    
    /**
     * @var string
     */
    protected $name;
    
    /**
     * @var string
     */
    protected $countryCode;
    
    /**
     * @var string
     */
    protected $bic;
    
    /**
     * @var string
     */
    protected $logo;

    /**
     * @return string
     */
    public function getProviderId(): string
    {
        return $this->providerId;
    }

    /**
     * @param string $providerId
     * @return void
     */
    public function setProviderId(string $providerId): void
    {
        $this->providerId = $id;
    }
    
    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     * @return void
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }
    
    /**
     * @return string
     */
    public function getCountryCode(): string
    {
        return $this->countryCode;
    }

    /**
     * @param string $countryCode
     * @return void
     */
    public function setCountryCode(string $countryCode): void
    {
        $this->countryCode = $countryCode;
    }
    
    /**
     * @return string
     */
    public function getBic(): string
    {
        return $this->bic;
    }

    /**
     * @param string $bic
     * @return void
     */
    public function setBic(string $bic): void
    {
        $this->bic = $bic;
    }
    
    /**
     * @return string|null
     */
    public function getLogo(): ?string
    {
        return $this->logo;
    }

    /**
     * @param string $logo
     * @return void
     */
    public function setLogo(string $logo): void
    {
        $this->logo = $logo;
    }
}