<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\ProvidersCountries;

use Shopware\Core\Framework\DataAbstractionLayer\EntityDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IdField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;

class ProvidersCountriesDefinition extends EntityDefinition
{
    public const ENTITY_NAME = 'cp_providers_countries';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }
    
    public function getEntityClass(): string
    {
        return ProvidersCountriesEntity::class;
    }
    
    public function getCollectionClass(): string
    {
        return ProvidersCountriesCollection::class;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new IdField('id', 'id'))->addFlags(new PrimaryKey(), new Required()),
            (new StringField('code', 'code'))->addFlags(new Required()),
            (new StringField('name', 'name'))->addFlags(new Required()),
        ]);
    }
}