<?php declare(strict_types=1);

namespace ConnectPayPayment\Installer;

interface InstallerInterface
{
    /**
     * Runs when plugin is installed
     */
    public function install(): void;

    /**
     * Runs when plugin is updated
     */
    public function update(): void;

    /**
     * Runs when plugin is uninstalled
     */
    public function uninstall(): void;

    /**
     * Runs when plugin is activated
     */
    public function activate(): void;

    /**
     * Runs when plugin is deactivated
     */
    public function deactivate(): void;
}
